mutable struct ModelSelectionData
    equation::Array{Symbol}
    depvar::Symbol
    expvars::Array{Symbol}
    fixedvariables::Union{Vector{Symbol},Nothing}
    time::Union{Symbol,Nothing}
    panel::Union{Symbol,Nothing}
    depvar_data::Union{
        Vector{Float64},
        Vector{Float32},
        Vector{Float16},
        Vector{Union{Float64,Missing}},
        Vector{Union{Float32,Missing}},
        Vector{Union{Float16,Missing}},
    }
    expvars_data::Union{
        Array{Float64},
        Array{Float32},
        Array{Float16},
        Array{Union{Float64,Missing}},
        Array{Union{Float32,Missing}},
        Array{Union{Float16,Missing}},
    }
    fixedvariables_data::Union{
        Nothing,
        Array{Float64},
        Array{Float32},
        Array{Float16},
        Array{Union{Float64,Missing}},
        Array{Union{Float32,Missing}},
        Array{Union{Float16,Missing}},
    }
    time_data::Union{
        Vector{Int64},
        Vector{Int32},
        Vector{Int16},
        Vector{Union{Int64,Missing}},
        Vector{Union{Int32,Missing}},
        Vector{Union{Int16,Missing}},
        Nothing,
    }
    panel_data::Union{
        Vector{Int64},
        Vector{Int32},
        Vector{Int16},
        Vector{Union{Int64,Missing}},
        Vector{Union{Int32,Missing}},
        Vector{Union{Int16,Missing}},
        Nothing,
    }
    intercept::Bool
    datatype::DataType
    removemissings::Bool
    nobs::Int64
    options::Dict{Symbol,Any}
    extras::Dict{Symbol,Any}
    results::Array{Any}
    results_dict::Dict{Symbol,ModelSelectionResult}
    original_data::Union{ModelSelectionData,Nothing}

    function ModelSelectionData(
        equation::Vector{Symbol},
        depvar::Symbol,
        expvars::Vector{Symbol},
        fixedvariables::Union{Vector{Symbol},Nothing},
        time::Union{Symbol,Nothing},
        panel::Union{Symbol,Nothing},
        depvar_data::Union{
            Vector{Float64},
            Vector{Float32},
            Vector{Float16},
            Vector{Union{Float64,Missing}},
            Vector{Union{Float32,Missing}},
            Vector{Union{Float16,Missing}},
        },
        expvars_data::Union{
            Array{Float64},
            Array{Float32},
            Array{Float16},
            Array{Union{Float64,Missing}},
            Array{Union{Float32,Missing}},
            Array{Union{Float16,Missing}},
        },
        fixedvariables_data::Union{
            Nothing,
            Array{Float64},
            Array{Float32},
            Array{Float16},
            Array{Union{Float64,Missing}},
            Array{Union{Float32,Missing}},
            Array{Union{Float16,Missing}},
        },
        time_data::Union{
            Vector{Int64},
            Vector{Int32},
            Vector{Int16},
            Vector{Union{Int64,Missing}},
            Vector{Union{Int32,Missing}},
            Vector{Union{Int16,Missing}},
            Nothing,
        },
        panel_data::Union{
            Vector{Int64},
            Vector{Int32},
            Vector{Int16},
            Vector{Union{Int64,Missing}},
            Vector{Union{Int32,Missing}},
            Vector{Union{Int16,Missing}},
            Nothing,
        },
        intercept::Bool,
        datatype::DataType,
        removemissings::Bool,
        nobs::Int64,
    )
        extras = Dict()
        options = Dict{Symbol,Any}()
        results = Array{Any}(undef, 0)
        results_dict = Dict{Symbol,ModelSelectionResult}()
        original_data = nothing
        new(
            equation,
            depvar,
            expvars,
            fixedvariables,
            time,
            panel,
            depvar_data,
            expvars_data,
            fixedvariables_data,
            time_data,
            panel_data,
            intercept,
            datatype,
            removemissings,
            nobs,
            options,
            extras,
            results,
            results_dict,
            original_data,
        )
    end
end
